Subject: [sipcore] headers with name-addr / addr-spec ambiguity issue

From: Brett Tate <[email-masked]>
Date: Thu, 10 Oct 2013 17:15:53 +0000

Hi,

Since the issue with RFC 3325 is currently being discussed, I thought that I'd mention that the following headers also appear to have same issue of their corresponding RFC not indicating to use the RFC 3261 section 20 bracket rule.  I only listed headers that appear on http://www.iana.org/assignments/sip-parameters/sip-parameters.xhtml.

I assume that errata should also opened on these RFCs to contain the following sentence.

"If the URI contains a comma, question mark or semicolon, the URI MUST be enclosed in angle brackets (< and >)."

Thanks,
Brett

----

RFC 3515:

 Refer-To = ("Refer-To" / "r") HCOLON ( name-addr / addr-spec ) *
 (SEMI generic-param)

RFC 5002:

 P-Profile-Key     = "P-Profile-Key" HCOLON (name-addr / addr-spec)
                      *( SEMI generic-param )

RFC 5318:

 P-Refused-URI-List = "P-Refused-URI-List" HCOLON
                           uri-list-entry
                           *(COMMA uri-list-entry)
 uri-list-entry     = ( name-addr / addr-spec )
                           *( SEMI refused-param )

RFC 5360:

 Permission-Missing  =  "Permission-Missing" HCOLON per-miss-spec
                        *( COMMA per-miss-spec )
 per-miss-spec       =  ( name-addr / addr-spec )
                       *( SEMI generic-param )

RFC 5502:

 P-Served-User          = "P-Served-User" HCOLON PServedUser-value
                              *(SEMI served-user-param)
 PServedUser-value      = name-addr / addr-spec

This email is intended solely for the person or entity to which it is addressed and may contain confidential and/or privileged information. If you are not the intended recipient and have received this email in error, please notify BroadSoft, Inc. immediately by replying to this message, and destroy all copies of this message, along with any attachment, prior to reading, distributing or copying it.